Subject: bug#20484: bug#20202: Considered Harmful 73d213: 'Comint, term, and compile new set Emacs'

From: [email-masked] (Phillip Lord)
Date: Fri, 08 Apr 2016 22:20:34 +0100

Paul Eggert <[email-masked]> writes:

> Thanks for persisting with this, Phillip, and for doing the legwork in seeing
> what other shells do.

No worries, and apologies for being somewhat grumpy at the start. We
seem to have a solution now, which is the main thing.

> It does seem that the EMACS='t' setting can safely be removed, given
> what we've seen. We will still need the EMACS='25.1 (term:0.96)'
> setting in term-exec-1 for quite some time, for compatibility with
> Bash 4.3 and earlier. I installed the attached patch into emacs-25 to
> try to get this done for the next release. This should not affect
> Bug#20484, which should still be fixed. Most of Bug#20202 should be
> fixed now; the exceptions are M-x term and the like.

I think this is a good compromise. Although, it's too late for Emacs
25.1, it would be possible to work around #20484 in other ways, and
maybe get dir-tracking working for other shells also.

Phil